SQLOBJECT-ADMIN(1)

NAME
sqlobject-admin - manage your database as defined with SQLObject classes

SYNOPSIS

sqlobject-admin [options] command

DESCRIPTION

The sqlobject-admin tool included with SQLObject allows you to manage your database as defined with SQLObject classes.

Some of the features include creating tables, checking the status of the database, recording a version of a schema, and updating the database to match the version of the schema in your code.

COMMANDS

The following commands are recognized:

help
    Show the help text.

create
    Find the tables and create them. Existing tables are simply skipped.

sql
    Show the SQL to create all the tables.

drop
    Drop tables. Missing tables are skipped.

execute
    Execute an arbitrary SQL expression.

list
    List out all the found classes.

status
    Show if tables are present in the database.

record
    Record historical information about the database status

upgrade
    Update the database to a new version (as created by record)

OPTIONS

-c CONNECTION, --connection=CONNECTION
    Connection string for the database .

-f FILENAME, --config-file=FILENAME
    Configuration file from which to get the connection to the database.

-m MODULE, --module=MODULE
    A module to look in for classes.

-p PACKAGE, --package=PACKAGE
    A package to look in.

--class=CLASSMATCH
    Restricting the found classes to the matching classes.

--egg=EGG_SPEC
    Egg description that should be loaded.

AUTHORS

    This manual page was written by Carl Chenet <chaica@ohmytux.com>.

LICENSE

    This package is licensed under the GNU Lesser General Public License version
    2.1 (or later). You can find the full text of the LGPL in
    /usr/share/common-licenses/LGPL in your Debian system.